export declare enum TownType {
    Outside = 1,
    Hospital = 2,
    Other = 13,
    Common = 99
}
export declare type Town = {
    name: string;
    province: string;
    code: string;
    otherNames?: string[];
    townType: TownType;
};
export declare type Route = {
    direction: 'I' | 'V' | string;
    zone: string;
    type: string;
    number: string;
    incidents: {
        es: string;
        eu: string;
    };
    name: string;
};
export declare type Line = {
    code: string;
    name: string;
    routes: Route[];
};
export declare type RouteTime = {
    salida: string;
    notas: string[];
    horarios: string[];
};
export declare type Horario = {
    ida: RouteTime[];
    vuelta: RouteTime[];
};
export declare type VehiclePosition = {
    position: Position;
    line: string;
    subLine: string;
    vehicle: string;
    busServer: string;
};
export declare type Street = {
    id: string;
    name: string;
};
export declare type Parada = {
    id: string;
    code: string;
    town: Town;
    denomination: string;
    street?: Street;
    zone?: number;
    position?: Position;
};
export declare type PasoTime = {
    lineCode: string;
    route: string;
    times: Array<{
        destination: string;
        meters: number;
        minutes: number;
    }>;
};
export declare type Position = {
    lat: number;
    lon: number;
};
export declare type Vehicle = {
    code: number;
    clase: string;
    tipo: number;
    plazas: {
        total: number;
        sentado: number;
        pie: number;
        reservadas: number;
    };
    sueloBajo: boolean;
    rampa: boolean;
};
