import { Line } from "../../data/models";
export declare abstract class PetitionBase {
    private USER_AGENT;
    protected timeout: number;
    updateTimeout(timeout: number): void;
    protected sendRequest(route: string, data: object): Promise<any>;
    private internalPetition;
    protected parseXml(xml: string): Promise<any>;
    protected padZeroes(changeNumber: string): string;
    protected formatLineString(line: string | Line): string;
    protected utmToLatLong(xCoord: number, yCoord: number): number[];
    protected dataToArray(data: string | any[] | object): any[];
    private processXml;
    /**
     * @license Apache-2.0
     * {@link https://gist.github.com/attilaolah/6cf22de8949d45a6cc06286536050e42}
     * @private
     * @param {number} easting
     * @param {number} northing
     * @param {number} utmZone
     * @returns {number}
     * @memberof PetitionBase
     */
    private utm2LL;
    /**
     * {@link https://stackoverflow.com/questions/1248849/converting-sanitised-html-back-to-displayable-html}
     * @private
     * @param {string} text
     * @returns {string}
     * @memberof PetitionBase
     */
    private cleanTextXML;
}
